import { defineComponent as f, openBlock as o, createElementBlock as d, Fragment as E, renderList as _, unref as s, createBlock as a, withCtx as g, createElementVNode as x, resolveDynamicComponent as C, mergeProps as v, createCommentVNode as k } from "vue";
import { ScalarErrorBoundary as y } from "@scalar/components";
import { usePluginManager as h } from "../../plugins/hooks/usePluginManager.js";
const B = { class: "text-base" }, j = /* @__PURE__ */ f({
  __name: "SpecificationExtension",
  props: {
    value: {}
  },
  setup(c) {
    const { getSpecificationExtensions: m } = h();
    function i(e) {
      return Object.keys(e ?? {}).filter(
        (t) => t.startsWith("x-")
      );
    }
    function u(e) {
      return e.flatMap((t) => m(t)).filter((t) => t.component);
    }
    const l = i(c.value), p = u(l);
    return (e, t) => typeof e.value == "object" ? (o(!0), d(E, { key: 0 }, _(s(p), (n) => (o(), a(s(y), null, {
      default: g(() => {
        var r;
        return [
          x("div", B, [
            (o(), a(C(n.component), v({ ref_for: !0 }, { [n.name]: (r = e.value) == null ? void 0 : r[n.name] }), null, 16))
          ])
        ];
      }),
      _: 2
    }, 1024))), 256)) : k("", !0);
  }
});
export {
  j as default
};
